aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorJesus <heckyel@hyperbola.info>2024-05-27 01:11:45 +0800
committerJesus <heckyel@hyperbola.info>2024-05-27 01:11:45 +0800
commit271ec196085fd05ada3e4c54e1ccecf306af8028 (patch)
treed8ae1bb1422577c3151665ed5d9bc728e05bd39f /install.sh
parentae50a05447cb3f66a4c5a4111ef7275611e9dcee (diff)
downloadhyperterm-271ec196085fd05ada3e4c54e1ccecf306af8028.tar.lz
hyperterm-271ec196085fd05ada3e4c54e1ccecf306af8028.tar.xz
hyperterm-271ec196085fd05ada3e4c54e1ccecf306af8028.zip
install.sh: check requirements
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 05f783a..8658b63 100644
--- a/install.sh
+++ b/install.sh
@@ -27,6 +27,17 @@ function msg_err() {
esac
}
+
+# Check Requirements
+# -------------------
+programs=("wget" "curl" "git" "less")
+for program in "${programs[@]}"; do
+ if ! command -v "$program" &>/dev/null; then
+ msg_err "$program no está instalado." \
+ "$program is not installed" && exit 1
+ fi
+done
+
# Check URL's
# -----------
function _which() {